﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OgonPhonesXML.Aastra.Serializer
{
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "", IsNullable = false)]
    public partial class AastraIPPhoneInputScreen
    {
        private titleTagType titleField;

        private object promptField;

        private softKeyType[] softKeyField;
        private List<softKeyType> listSoftKey = new List<softKeyType>();

        private object uRLField;

        private object parameterField;

        private object defaultField;

        private object selectionField;
        
        private string typeField;

        private string passwordField;

        private string destroyOnExitField;

        private string editableField;

        private string beepField;

        private string inputLanguageField;

        private string lockInField;

        private string timeoutField;

        private string defaultIndexField;

        private string cancelActionField;

        private string allowAnswerField;

        private string allowDropField;

        private string allowConfField;

        private string allowXferField;

        private string displayModeField;

        public AastraIPPhoneInputScreen()
        {
            this.passwordField = "no";
            this.destroyOnExitField = "no";
            this.editableField = "yes";
            this.beepField = "no";
            this.inputLanguageField = "English";
            this.lockInField = "no";
            this.timeoutField = "45";
            this.defaultIndexField = "1";
            this.allowAnswerField = "no";
            this.allowDropField = "no";
            this.allowConfField = "no";
            this.allowXferField = "no";
            this.displayModeField = "uncondensed";
        }
        
        public void addTitle(string text)
        {
            titleField = new titleTagType();
            String[] finalText = { text };
            titleField.Text = finalText;
        }
        public void addTitle(string text, string wrap)
        {
            titleField = new titleTagType();
            String[] finalText = { text };
            titleField.Text = finalText;
            titleField.wrap = wrap;
        }
        public void addSoftKey(string index, string label, string uri)
        {
            softKeyType psvSoftKey = new softKeyType();
            psvSoftKey.index = index;
            psvSoftKey.Label = label;

            psvSoftKey.URI = uri;
            listSoftKey.Add(psvSoftKey);
        }
        public void addSoftKey(string index, string label, string uri, string icon)
        {
            softKeyType psvSoftKey = new softKeyType();
            psvSoftKey.index = index;
            psvSoftKey.Label = label;
            psvSoftKey.icon = icon;
            psvSoftKey.URI = uri;
            listSoftKey.Add(psvSoftKey);
        }
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public titleTagType Title
        {
            get
            {
                return this.titleField;
            }
            set
            {
                this.titleField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public object Prompt
        {
            get
            {
                return this.promptField;
            }
            set
            {
                this.promptField = value;
            }
        }
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("SoftKey", Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public softKeyType[] SoftKey
        {
            get
            {
                this.softKeyField = listSoftKey.ToArray();
                return this.softKeyField;
            }
            set
            {
                this.softKeyField = value;
            }
        }
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public object URL
        {
            get
            {
                return this.uRLField;
            }
            set
            {
                this.uRLField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public object Parameter
        {
            get
            {
                return this.parameterField;
            }
            set
            {
                this.parameterField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public object Default
        {
            get
            {
                return this.defaultField;
            }
            set
            {
                this.defaultField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public object Selection
        {
            get
            {
                return this.selectionField;
            }
            set
            {
                this.selectionField = value;
            }
        }

       
        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string type
        {
            get
            {
                return this.typeField;
            }
            set
            {
                this.typeField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("no")]
        public string password
        {
            get
            {
                return this.passwordField;
            }
            set
            {
                this.passwordField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("no")]
        public string destroyOnExit
        {
            get
            {
                return this.destroyOnExitField;
            }
            set
            {
                this.destroyOnExitField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("yes")]
        public string editable
        {
            get
            {
                return this.editableField;
            }
            set
            {
                this.editableField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("no")]
        public string Beep
        {
            get
            {
                return this.beepField;
            }
            set
            {
                this.beepField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("English")]
        public string inputLanguage
        {
            get
            {
                return this.inputLanguageField;
            }
            set
            {
                this.inputLanguageField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("no")]
        public string LockIn
        {
            get
            {
                return this.lockInField;
            }
            set
            {
                this.lockInField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute(DataType = "integer")]
        [System.ComponentModel.DefaultValueAttribute("45")]
        public string Timeout
        {
            get
            {
                return this.timeoutField;
            }
            set
            {
                this.timeoutField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute(DataType = "integer")]
        [System.ComponentModel.DefaultValueAttribute("1")]
        public string defaultIndex
        {
            get
            {
                return this.defaultIndexField;
            }
            set
            {
                this.defaultIndexField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        public string cancelAction
        {
            get
            {
                return this.cancelActionField;
            }
            set
            {
                this.cancelActionField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("no")]
        public string allowAnswer
        {
            get
            {
                return this.allowAnswerField;
            }
            set
            {
                this.allowAnswerField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("no")]
        public string allowDrop
        {
            get
            {
                return this.allowDropField;
            }
            set
            {
                this.allowDropField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("no")]
        public string allowConf
        {
            get
            {
                return this.allowConfField;
            }
            set
            {
                this.allowConfField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("no")]
        public string allowXfer
        {
            get
            {
                return this.allowXferField;
            }
            set
            {
                this.allowXferField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("uncondensed")]
        public string displayMode
        {
            get
            {
                return this.displayModeField;
            }
            set
            {
                this.displayModeField = value;
            }
        }
    }
}
