﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OgonPhonesXML.Cisco.Serializer
{
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlRootAttribute("CiscoIPPhoneInput", Namespace = "", IsNullable = false)]
    public partial class CicsoIPPhoneInputType
    {
        private string titleField;

        private string promptField;

        private string uRLField;

        private CiscoIPPhoneInputItemType[] inputItemField;
        private List<CiscoIPPhoneInputItemType> listInputItems = new List<CiscoIPPhoneInputItemType>();


        private CiscoIPPhoneSoftKeyType[] softKeyItemField;
        private List<CiscoIPPhoneSoftKeyType> listSoftKey = new List<CiscoIPPhoneSoftKeyType>();

        public void addInputItems(string displayName,string defaultValue, string queryParam)
        {
            CiscoIPPhoneInputItemType psvInputItem = new CiscoIPPhoneInputItemType();
            psvInputItem.DefaultValue = defaultValue;
            psvInputItem.DisplayName = displayName;
            psvInputItem.QueryStringParam = queryParam;
            listInputItems.Add(psvInputItem);
        }
        public void addInputItems(string displayName, string defaultValue, string queryParam, string inputFlags)
        {
            CiscoIPPhoneInputItemType psvInputItem = new CiscoIPPhoneInputItemType();
            psvInputItem.DefaultValue = defaultValue;
            psvInputItem.DisplayName = displayName;
            psvInputItem.QueryStringParam = queryParam;
            psvInputItem.InputFlags = inputFlags;
            listInputItems.Add(psvInputItem);
        }
        public void addSoftKey(string name, string url, ushort position)
        {
            CiscoIPPhoneSoftKeyType psvSoftKey = new CiscoIPPhoneSoftKeyType();
            psvSoftKey.Name = name;
            psvSoftKey.URL = url;
            psvSoftKey.Postion = position;
            listSoftKey.Add(psvSoftKey);
        }
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string Title
        {
            get
            {
                return this.titleField;
            }
            set
            {
                this.titleField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string Prompt
        {
            get
            {
                return this.promptField;
            }
            set
            {
                this.promptField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string URL
        {
            get
            {
                return this.uRLField;
            }
            set
            {
                this.uRLField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("InputItem", Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public CiscoIPPhoneInputItemType[] InputItem
        {
            get
            {
                this.inputItemField = listInputItems.ToArray();
                return this.inputItemField;
            }
            set
            {
                this.inputItemField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("SoftKeyItem")]
        public CiscoIPPhoneSoftKeyType[] SoftKeyItem
        {
            get
            {
                this.softKeyItemField = listSoftKey.ToArray();
                return this.softKeyItemField;
            }
            set
            {
                this.softKeyItemField = value;
            }
        }
    }
}
