﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OgonPhonesXML.Cisco.Serializer
{
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlRootAttribute("CiscoIPPhoneIconMenu", Namespace = "", IsNullable = false)]
    public partial class CiscoIPPhoneIconMenuType
    {
        private string titleField;

        private string promptField;

        private CiscoIPPhoneMenuItemType[] menuItemField;
        private List<CiscoIPPhoneMenuItemType> listMenuItem = new List<CiscoIPPhoneMenuItemType>();

        private CiscoIPPhoneIconItemType[] iconItemField;
        private List<CiscoIPPhoneIconItemType> listIconType = new List<CiscoIPPhoneIconItemType>();

        private CiscoIPPhoneSoftKeyType[] softKeyItemField;
        private List<CiscoIPPhoneSoftKeyType> listSoftKey = new List<CiscoIPPhoneSoftKeyType>();

        public void addIconItem(byte[] data, ushort height, ushort width, short index)
        {
            CiscoIPPhoneIconItemType psvIconItem = new CiscoIPPhoneIconItemType();
            psvIconItem.Data = data;
            psvIconItem.Height = height;
            psvIconItem.Width = width;
            psvIconItem.Index = index;
            listIconType.Add(psvIconItem);

        }
        public void addMenuItem(string name, string url)
        {
            CiscoIPPhoneMenuItemType psvMenuItem = new CiscoIPPhoneMenuItemType();
            psvMenuItem.Name = name;
            psvMenuItem.URL = url;
            listMenuItem.Add(psvMenuItem);
        }
        public void addSoftKey(string name, string url, ushort position)
        {
            CiscoIPPhoneSoftKeyType psvSoftKey = new CiscoIPPhoneSoftKeyType();
            psvSoftKey.Name = name;
            psvSoftKey.URL = url;
            psvSoftKey.Postion = position;
            listSoftKey.Add(psvSoftKey);
        }
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string Title
        {
            get
            {
                return this.titleField;
            }
            set
            {
                this.titleField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string Prompt
        {
            get
            {
                return this.promptField;
            }
            set
            {
                this.promptField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("MenuItem")]
        public CiscoIPPhoneMenuItemType[] MenuItem
        {
            get
            {
                this.menuItemField = listMenuItem.ToArray();
                return this.menuItemField;
            }
            set
            {
                this.menuItemField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("IconItem", Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public CiscoIPPhoneIconItemType[] IconItem
        {
            get
            {
                this.iconItemField = listIconType.ToArray();
                return this.iconItemField;
            }
            set
            {
                this.iconItemField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("SoftKeyItem")]
        public CiscoIPPhoneSoftKeyType[] SoftKeyItem
        {
            get
            {
                this.softKeyItemField = listSoftKey.ToArray();
                return this.softKeyItemField;
            }
            set
            {
                this.softKeyItemField = value;
            }
        }
    }
}
