﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OgonPhonesXML.Cisco.Serializer
{
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlRootAttribute("CiscoIPPhoneMenu", Namespace = "", IsNullable = false)]
    public partial class CiscoIPPhoneMenuType
    {
        private string titleField;

        private string promptField;

        private CiscoIPPhoneMenuItemType[] menuItemField;
        private List<CiscoIPPhoneMenuItemType> listMenuItem = new List<CiscoIPPhoneMenuItemType>();

        private CiscoIPPhoneSoftKeyType[] softKeyItemField;
        private List<CiscoIPPhoneSoftKeyType> listSoftKey = new List<CiscoIPPhoneSoftKeyType>();
        /// <comentarios/>
        /// 
        public void addMenuItems(string name, string url)
        {
            CiscoIPPhoneMenuItemType psvMenuItem = new CiscoIPPhoneMenuItemType();
            psvMenuItem.Name = name;
            psvMenuItem.URL = url;
            listMenuItem.Add(psvMenuItem);
        }
        public void addSoftKey(string name, string url, ushort position)
        {
            CiscoIPPhoneSoftKeyType psvSoftKey = new CiscoIPPhoneSoftKeyType();
            psvSoftKey.Name = name;
            psvSoftKey.URL = url;
            psvSoftKey.Postion = position;
            listSoftKey.Add(psvSoftKey);
        }
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string Title
        {
            get
            {
                return this.titleField;
            }
            set
            {
                this.titleField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string Prompt
        {
            get
            {
                return this.promptField;
            }
            set
            {
                this.promptField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("MenuItem")]
        public CiscoIPPhoneMenuItemType[] MenuItem
        {
            get
            {
                this.menuItemField = listMenuItem.ToArray();
                return this.menuItemField;
            }
            set
            {
                this.menuItemField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute("SoftKeyItem")]
        public CiscoIPPhoneSoftKeyType[] SoftKeyItem
        {
            get
            {
                this.softKeyItemField = listSoftKey.ToArray();
                return this.softKeyItemField;
            }
            set
            {
                this.softKeyItemField = value;
            }
        }
    }
}
