﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OgonPhonesXML.Aastra.Serializer
{
    [System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType = true)]
    [System.Xml.Serialization.XmlRootAttribute(Namespace = "", IsNullable = false)]
    public partial class AastraIPPhoneStatus
    {
        private string sessionField;

        private AastraIPPhoneStatusMessage messageField;

        private string beepField;

        private string triggerDestroyOnExitField;

        public AastraIPPhoneStatus()
        {
            this.beepField = "no";
            this.triggerDestroyOnExitField = "no";
        }
        public void addStatusMessage(string message, string index, string type)
        {
            messageField = new AastraIPPhoneStatusMessage();
            String[] finalText = { message };
            messageField.Text = finalText;
            messageField.index = index;
            messageField.type = type;
        }
        
        public void addStatusMessage(string message, string index, string type, string timeout)
        {
            messageField = new AastraIPPhoneStatusMessage();
            String[] finalText = { message };
            messageField.Text = finalText;
            messageField.index = index;
            messageField.type = type;
            messageField.Timeout = timeout;
        }
        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string Session
        {
            get
            {
                return this.sessionField;
            }
            set
            {
                this.sessionField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlElementAttribute(Form = System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public AastraIPPhoneStatusMessage Message
        {
            get
            {
                return this.messageField;
            }
            set
            {
                this.messageField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("no")]
        public string Beep
        {
            get
            {
                return this.beepField;
            }
            set
            {
                this.beepField = value;
            }
        }

        /// <comentarios/>
        [System.Xml.Serialization.XmlAttributeAttribute()]
        [System.ComponentModel.DefaultValueAttribute("no")]
        public string triggerDestroyOnExit
        {
            get
            {
                return this.triggerDestroyOnExitField;
            }
            set
            {
                this.triggerDestroyOnExitField = value;
            }
        }
    }
}
