﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using OgonPhonesXML.Cisco.Serializer;
using System.Xml.Serialization;

namespace OgonPhonesXML.Cisco
{
    class Cisco7920G : BaseCiscoPhone
    {
        private CiscoIPPhoneImageType ipphoneimage = null;
        public CiscoIPPhoneImageType IPPhoneImage
        {
            get
            {
                if (ipphoneimage == null)
                {

                    ipphoneimage = new CiscoIPPhoneImageType();
                    Serializer = new XmlSerializer(typeof(CiscoIPPhoneImageType));
                    Component = ipphoneimage;
                }
                return ipphoneimage;
            }
        }

        private CiscoIPPhoneGraphicMenuType ipphonegraphicmenu = null;
        public CiscoIPPhoneGraphicMenuType IPPhoneGraphicMenu
        {
            get
            {
                if (ipphonegraphicmenu == null)
                {

                    ipphonegraphicmenu = new CiscoIPPhoneGraphicMenuType();
                    Serializer = new XmlSerializer(typeof(CiscoIPPhoneGraphicMenuType));
                    Component = ipphonegraphicmenu;
                }
                return ipphonegraphicmenu;
            }
        }
    }
}
